% esercitazione ODE: ex2
% Eulero esplicito per valori crescenti del passo h
[t1,y1]=eul_esp(@fex1,[0,3],1, 0.1);
[t2,y2]=eul_esp(@fex1,[0,3],1, 0.25);
[t3,y3]=eul_esp(@fex1,[0,3],1, 0.5);
[t4,y4]=eul_esp(@fex1,[0,3],1, 0.75);
plot(t4,1./(1+t4.^2),'-.',t1,y1,t2,y2,t3,y3,t4,y4)
legend('soluzione esatta','passo h=0.1','passo h=0.25','passo h=0.50','passo h=0.75');
title(' Metodo di Eulero Esplicito');

% Eulero implicito per valori crescenti del passo h
[t1,y1]=eul_imp(@fex1,@jacf_ex1,[0,3],1, 0.1);
[t2,y2]=eul_imp(@fex1,@jacf_ex1,[0,3],1, 0.25);
[t3,y3]=eul_imp(@fex1,@jacf_ex1,[0,3],1, 0.5);
[t4,y4]=eul_imp(@fex1,@jacf_ex1,[0,3],1, 0.75);
figure;
plot(t4,1./(1+t4.^2),'-.',t1,y1,t2,y2,t3,y3,t4,y4)
legend('soluzione esatta','passo h=0.1','passo h=0.25','passo h=0.50','passo h=0.75');
title(' Metodo di Eulero Implicito');
