% Dati del problema
a=0; b=5; tspan=[a b]; 
y0=[0.5 0 0.25 0];
global k1 m1 k2 m2
k1=100; m1=10; k2=120; m2=2;

% Solutore del sistema di ode:
[t,y]=ode45(@massamolla,tspan,y0);

% Visualizzazione soluzione ottenuta:

% la direzione  verso il basso, quindi il grafico  di -y
% la posizione reale dipende anche dalla lunghezza delle molle
% quindi consideriamo r1 ed r2:
r1=10; r2=15;
plot(t,-r1-y(:,1),'.-');
hold on
plot(t,-r2-y(:,3),'-');
plot([a b],[0 0]);

